package org.jeecg.modules.industry.service;

import org.jeecg.modules.industry.entity.TbIndustry;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.exception.JeecgBootException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import java.util.List;

/**
 * @Description: tb_industry
 * @Author: jeecg-boot
 * @Date:   2024-12-07
 * @Version: V1.0
 */
public interface ITbIndustryService extends IService<TbIndustry> {

	/**根节点父ID的值*/
	public static final String ROOT_PID_VALUE = "0";
	
	/**树节点有子节点状态值*/
	public static final String HASCHILD = "1";
	
	/**树节点无子节点状态值*/
	public static final String NOCHILD = "0";

	/**新增节点*/
	void addTbIndustry(TbIndustry tbIndustry);
	
	/**修改节点*/
	void updateTbIndustry(TbIndustry tbIndustry) throws JeecgBootException;
	
	/**删除节点*/
	void deleteTbIndustry(String id) throws JeecgBootException;

	/**查询所有数据，无分页*/
    List<TbIndustry> queryTreeListNoPage(QueryWrapper<TbIndustry> queryWrapper);

}
